## Time-stamp: <2013-02-25 11:04:54 vk>
## This file is best viewed with GNU Emacs Org-mode: http://orgmode.org/
#+TODO: TODO(t) NEXT(n) WISH(w) | DONE(d) CANCELED(c)
#+TAGS: KarlVoit(k) 


* NEXT pointers to [[http://en.wikibooks.org/wiki/LaTeX/Packages#Packages_list][other packages]] (not included in this template):
:PROPERTIES:
:CREATED: [2011-12-10 Sat 21:31]
:END:
- listings
- sidewaystable
- paralist (compact version of itemize and enumerate)
- ...

* NEXT index (makeindex)
:PROPERTIES:
:CREATED: [2011-12-10 Sat 21:30]
:END:

* NEXT acronyms
:PROPERTIES:
:CREATED: <2010-12-22 Fri 15:49>
:END:

* WISH try [[http://www.komascript.de/titlepage]] for title pages
:PROPERTIES:
:CREATED: [2011-12-11 Sun 12:49]
:END:

* WISH how to switch to scrreprt or scrartcle
:PROPERTIES:
:CREATED: [2011-12-10 Sat 21:31]
:END:

* WISH pointers to other LaTeX templates
:PROPERTIES:
:CREATED: [2011-12-10 Sat 21:31]
:END:

* WISH Look at template of matthiaspospiech and adopt things
:PROPERTIES:
:CREATED: <2010-12-26 Fri 15:51>
:END:

/home/vk/src/diss_da_template/matthiaspospiech.de/LaTeX-Vorlage3/preambel

* WISH look at creation of own sty-file
:PROPERTIES:
:CREATED: <2010-12-22 Fri 15:50>
:END:
* WISH translate German comments
:PROPERTIES:
:CREATED: <2010-12-22 Fri 15:50>
:END:
* DONE define prerequisites
CLOSED: [2013-02-25 Mon 11:04]
:PROPERTIES:
:CREATED: <2011-07-26 Tue 18:03>
:END:

- user knowledge
- software dependencies
  - for compiling PDF
    - pdflatex
    - biber
    - biblatex
  - for using make to compile
    - GNU make
  - for generating template documentation
    - GNU make
    - sed
    - grep
  - LaTeX packages
    - necessary
    - optional

* DONE how to switch language
CLOSED: [2013-02-25 Mon 11:04]
:PROPERTIES:
:CREATED: [2011-12-10 Sat 21:31]
:END:

* DONE document example usage with MikTex 2.8 and TeXworks         :KarlVoit:
CLOSED: [2013-02-02 Sat 22:28]
:PROPERTIES:
:CREATED: [2012-03-06 Tue 17:52]
:END:

- see id:2012-02-25latex
- see id:2013-02-02TeXworksbiber

* DONE document how to move to one sided document                  :KarlVoit:
CLOSED: [2013-02-02 Sat 22:00]
:PROPERTIES:
:CREATED: [2012-03-06 Tue 17:53]
:END:

* DONE document how to generate a draft document version
CLOSED: [2013-02-02 Sat 22:00]
:PROPERTIES:
:CREATED: [2012-03-06 Tue 17:53]
:END:

* DONE move some settings from template/* to main.tex as newcommand-definitions :KarlVoit:
CLOSED: [2013-02-02 Sat 22:00]
:PROPERTIES:
:CREATED:  [2013-02-02 Sat 18:37]
:END:

- like http://ufo.tugraz.at/assets/Downloads/UFO-Vorlage.zip

* DONE replace \fixxme{} with package «todonotes»
CLOSED: [2012-03-25 Sun 17:08]
:PROPERTIES:
:CREATED: [2012-03-14 Wed 09:51]
:END:

- add dependencies to the documentation
  - ifthen
  - xkeyval
  - xcolor
  - tikz
  - calc
  - graphicx
- in combination with [[http://orgmode.org][Org-mode]]: http://lists.gnu.org/archive/html/emacs-orgmode/2011-09/msg00157.html

* DONE Template documentation should be static [3/3]
DEADLINE: <2011-07-23 Sat>
:PROPERTIES:
:CREATED: <2011-07-23 Sat 12:44>
:END:
** DONE Makefile: documentation should end up in same PDF filename
CLOSED: [2011-07-24 Sun 14:04]
:PROPERTIES:
:CREATED: <2011-07-24 Sun 14:04>
:END:

** DONE adopt comments/documentation to this change
CLOSED: [2011-07-24 Sun 14:04]
:PROPERTIES:
:CREATED: <2011-07-23 Sat 12:45>
:END:

** DONE separate main.tex from Template-Documentation.tex
CLOSED: [2011-07-24 Sun 16:27]
:PROPERTIES:
:CREATED: <2011-07-24 Sun 16:26>
:END:

- no need to comment out/in include command of template definition
- duplicate most important things from:
  - preamble.tex
  - userdata.tex
- include rest of the tex-files and misc things from main.tex

* DONE Title page KF Uni Graz
CLOSED: [2011-07-22 Fri 12:46]
:PROPERTIES:
:CREATED: <2011-07-22 Fri 12:46>
:END:

for Petra

* DONE move almost *all* user-specific data into separate file
CLOSED: [2011-07-24 Sun 16:26]
:PROPERTIES:
:CREATED: <2011-07-23 Sat 12:46>
:END:

- in order to differ between template and content

userdata.tex
* DONE title page(s)
CLOSED: [2011-07-24 Sun 16:45]
:PROPERTIES:
:CREATED: <2010-12-22 Wed 15:48>
:END:

- probably own folder called "titlepages" where all possible
  titlepages are located:
  - TU Graz
  - KF
- simple title page using maketitle

* DONE maketitle example
CLOSED: [2011-07-24 Sun 16:45]
:PROPERTIES:
:CREATED: <2011-07-22 Fri 17:08>
:END:

* DONE adopt biblatex
CLOSED: [2011-12-10 Sat 21:29]
:PROPERTIES:
:CREATED: <2011-07-26 Tue 18:03>
:END:

http://ftp.univie.ac.at/packages/tex/help/Catalogue/entries/biblatex.html

* DONE adopt biber
CLOSED: [2011-12-10 Sat 21:29]
:PROPERTIES:
:CREATED: <2011-07-26 Tue 18:03>
:END:

http://biblatex-biber.sourceforge.net/

* DONE add biblatex example
CLOSED: [2011-12-10 Sat 21:29]
:PROPERTIES:
:CREATED: <2011-07-26 Tue 18:04>
:END:

* DONE HowTo change titlepage
CLOSED: [2011-12-11 Sun 14:07]
:PROPERTIES:
:CREATED: [2011-12-11 Sun 12:16]
:END:
* DONE list of figures
CLOSED: [2011-12-11 Sun 14:07]
:PROPERTIES:
:CREATED: [2011-12-10 Sat 21:30]
:END:
* DONE example content from the template of [[http://ftp.iicm.tugraz.at/pub/keith/thesis/thesis.zip][Keith Andrews]]
CLOSED: [2011-12-12 Mon 00:15]
:PROPERTIES:
:CREATED: [2011-12-10 Sat 21:30]
:END:

see reference {KeithThesis}

* DONE merge myquote & csquotes
CLOSED: [2011-12-12 Mon 18:42]
:PROPERTIES:
:CREATED: [2011-12-12 Mon 15:01]
:END:
* DONE more titlepage templates
CLOSED: [2012-03-06 Tue 17:50]
:PROPERTIES:
:CREATED: [2011-12-10 Sat 21:30]
:END:

* DONE add FIXXME-marker with [[http://www.komascript.de/marginnote]]
CLOSED: [2012-03-06 Tue 17:54]
:PROPERTIES:
:CREATED: [2011-12-11 Sun 13:11]
:END:

see \fixxme{}

* CANCELED add BibTeX to the template
CLOSED: [2011-12-10 Sat 21:31]
:PROPERTIES:
:CREATED: <2011-07-22 Fri 15:53>
:END:
